View Issue Details

IDProjectCategoryView StatusLast Update
0014378LazarusWidgetsetpublic2011-12-01 11:22
ReporterJorge Turiel Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformARMOSWinCe 
Product Version0.9.27 (SVN) 
Fixed in Version0.9.28 
Summary0014378: TFloatSpinEdit and TSpinEdit lost value when lost focus
DescriptionHello I you use a TFloatSpinEdit or TSpinEdit, in form. Then compile all. When you use the keyboard of your pocket pc (also in the emulator), and you type a number, the control shows the number that you typed. But when the control lost the focus, it recovers the original number that if had before you type the number.

I you do this test under a win32 application, the control keeps the "new number" that you typed with your keyboard.

I attach a small example.

Best Regards

/Jorge
Steps To ReproduceTry this small example.
TagsNo tags attached.
Fixed in Revision21338, 21354
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

has duplicate 0014379 closedVincent Snijders TFloatSpinEdit and TSpinEdit lost value when lost focus 

Activities

2009-08-18 19:07

 

spin.rar (155,374 bytes)

Jorge Turiel

2009-08-18 19:09

reporter   ~0029960

Last edited: 2009-08-18 19:20

I forget the lazarus version: 0.9.27
Fpc: 2.2.5
SVN: 21081

Felipe Monteiro de Carvalho

2009-08-20 00:06

developer   ~0030004

I fixed some wince spin bugs in rev21338, not a complete fix yet

Issue History

Date Modified Username Field Change
2009-08-18 19:07 Jorge Turiel New Issue
2009-08-18 19:07 Jorge Turiel File Added: spin.rar
2009-08-18 19:09 Jorge Turiel Note Added: 0029960
2009-08-18 19:15 Jonas Maebe Project FPC => Lazarus
2009-08-18 19:16 Jorge Turiel Note Edited: 0029960
2009-08-18 19:20 Jorge Turiel Note Edited: 0029960
2009-08-19 11:32 Vincent Snijders Relationship added has duplicate 0014379
2009-08-19 11:33 Vincent Snijders LazTarget => -
2009-08-19 11:33 Vincent Snijders Assigned To => Felipe Monteiro de Carvalho
2009-08-19 11:33 Vincent Snijders Status new => assigned
2009-08-19 11:40 Vincent Snijders Widgetset => WinCE
2009-08-19 11:40 Vincent Snijders Category RTL => Widgetset
2009-08-19 11:40 Vincent Snijders OS => WinCe
2009-08-19 11:40 Vincent Snijders Platform WinCe => ARM
2009-08-19 11:40 Vincent Snijders Product Version 2.2.5 => 0.9.27 (SVN)
2009-08-19 11:41 Vincent Snijders Build => r21081
2009-08-20 00:06 Felipe Monteiro de Carvalho Note Added: 0030004
2009-08-20 18:34 Felipe Monteiro de Carvalho Fixed in Revision => 21338, 21354
2009-08-20 18:34 Felipe Monteiro de Carvalho Status assigned => resolved
2009-08-20 18:34 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2009-08-20 18:34 Felipe Monteiro de Carvalho Resolution open => fixed
2009-08-20 23:35 Felipe Monteiro de Carvalho Fixed in Version 0.9.29 (SVN) => 0.9.28
2011-12-01 11:22 Marc Weustink Status resolved => closed